Skip to content
EN

悦动人像 EMO

通过 post 请求,可基于人物肖像图片和人声音频文件,生成人物肖像动态视频。

curl --location '{{BASE_URL}}/qwen/api/v1/services/aigc/image2video/video-synthesis' \
--header 'X-DashScope-Async: enable' \
--header "Authorization: Bearer $DASHSCOPE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
    "model": "emo-v1",
    "input": {
        "image_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250911/yhdvfg/emo-%E5%9B%BE%E7%89%87.png",
        "audio_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250825/aejgyj/input_audio.mp3",
        "face_bbox":[302,286,610,593],
        "ext_bbox":[71,9,840,778]
        },
    "parameters": {
        "style_level": "normal"
        }
    }'

成功返回

{
    "output": {
        "task_id": "a8532587-fa8c-4ef8-82be-xxxxxx",
        "task_status": "PENDING"
    },
    "request_id": "7574ee8f-38a3-4b1e-9280-11c33ab46e51"
}

通过返回的request_id,可以通过 get 请求来查询任务进度

curl -X GET \
--header "Authorization: Bearer $DASHSCOPE_API_KEY" \
{{BASE_URL}}/qwen/api/v1/tasks/{task_id}

成功响应返回

{
    "request_id": "8190395f-ca1b-4703-9656-xxxxxx",
    "output": {
        "task_id": "a8532587-fa8c-4ef8-82be-xxxxxx",
        "task_status": "SUCCEEDED",
        "submit_time": "2025-09-11 14:33:38.716",
        "scheduled_time": "2025-09-11 14:33:53.089",
        "end_time": "2025-09-11 14:35:51.541",
        "results": {
            "video_url": "http://dashscope-result-sh.oss-cn-shanghai.aliyuncs.com/xxx.mp4?Expires=xxxx"
        }
    },
    "usage": {
        "video_duration": 13.93,
        "video_ratio": "1:1"
    }
}

传入的人物肖像图片需要通过检测才可使用

curl --location '{{BASE_URL}}/qwen/api/v1/services/aigc/image2video/face-detect' \
--header "Authorization: Bearer $DASHSCOPE_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
  "model": "emo-detect-v1",
  "input": {
      "image_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250911/yhdvfg/emo-%E5%9B%BE%E7%89%87.png"
  },
  "parameters": {
      "ratio": "1:1"
  }
}'

通过返回

{
    "output":{
        "check_pass": true,
        "face_bbox":[302,286,610,593], #人脸bbox
        "ext_bbox":[71,9,840,778], #动态区域bbox
    },
    "usage":{
        "image_count":1
    },
    "request_id":"c56f62df-724e-9c19-96bd-308627cf5262"
}

可用模型

模型名称说明单价
emo-detect-v1检测输入的图片是否符合要求,不需要部署,可直接调用0.004元/张
emo-v1生成人物肖像动态视频,不需要部署,可直接调用- 生成1:1画幅视频:0.08元/秒
- 生成3:4画幅视频:0.16元/秒